Commit 23dfca0f authored by mh's avatar mh

puppet 3 support is gone

parent d17639c1
......@@ -15,18 +15,13 @@ class schleuder::client(
mode => '0600',
seltype => 'schleuder_data_t',
} -> concat{'/root/.schleuder-cli/schleuder-cli.yml':
owner => root,
group => root,
mode => '0600',
owner => root,
group => root,
mode => '0600',
seltype => 'schleuder_data_t',
} -> package{'schleuder-cli':
ensure => installed,
}
# old concat versions don't support that yet
if versioncmp($puppetversion,'4.0') >= 0 {
Concat['/root/.schleuder-cli/schleuder-cli.yml']{
seltype => 'schleuder_data_t',
}
}
# we use a fragement to trick around the fingerprint
# into one run
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment